# Class AbstractSignatureTypeProvider

java.lang.Object
org.gradle.plugins.signing.type.AbstractSignatureTypeProvider

All Implemented Interfaces:
  `SignatureTypeProvider`

Direct Known Subclasses:
  `DefaultSignatureTypeProvider`

public abstract class AbstractSignatureTypeProvider extends Object implements SignatureTypeProvider
Convenience base class for `SignatureTypeProvider` implementations.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSignatureTypeProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SignatureType`
  `getDefaultType()`
  Returns the default type.
  `SignatureType`
  `getTypeForExtension(String extension)`
  Returns the type for extension.
  `boolean`
  `hasTypeForExtension(String extension)`
  Returns whether type for extension.
  `protected void`
  `register(SignatureType type)`
  Register.
  `void`
  `setDefaultType(String defaultTypeExtension)`
  Sets the default type.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractSignatureTypeProvider

    public AbstractSignatureTypeProvider()

- ## Method Details

  - ### getDefaultType

    public SignatureType getDefaultType()
    Description copied from interface: `SignatureTypeProvider`
    Returns the default type.
    Specified by:
      `getDefaultType` in interface `SignatureTypeProvider`

  - ### setDefaultType

    public void setDefaultType(String defaultTypeExtension)
    Description copied from interface: `SignatureTypeProvider`
    Sets the default type.
    Specified by:
      `setDefaultType` in interface `SignatureTypeProvider`

  - ### hasTypeForExtension

    public boolean hasTypeForExtension(String extension)
    Description copied from interface: `SignatureTypeProvider`
    Returns whether type for extension.
    Specified by:
      `hasTypeForExtension` in interface `SignatureTypeProvider`

  - ### getTypeForExtension

    public SignatureType getTypeForExtension(String extension)
    Description copied from interface: `SignatureTypeProvider`
    Returns the type for extension.
    Specified by:
      `getTypeForExtension` in interface `SignatureTypeProvider`

  - ### register

    protected void register(SignatureType type)
    Register.
    Since:
      1.0